import request from '@/utils/request';
export const qzzx_list = (data = {}) =>
    request({
        url: '/news/info/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            nic_id: data.nic_id



        }
    })
export const qzzx_add = (data = {}) =>
    request({
        url: '/news/info/add',
        data: {
            issubmit: '1',
            news_info: {
                ni_title: data.ni_title,
                ni_img: data.ni_img,
                ni_tag: data.ni_tag,
                ni_content: data.ni_content,
                ni_fbr: data.ni_fbr,
                ni_id: data.ni_id,
                ni_url: data.ni_url,
            }
        }
    })
export const qzzx_edit = (data = {}) =>
    request({
        url: '/news/info/edit',
        data: {
            issubmit: '1',
            ni_id: data.ni_id,
            news_info: {
                ni_title: data.ni_title,
                ni_tag: data.ni_tag,
                ni_content: data.ni_content,
                ni_fbr: data.ni_fbr,
                ni_id: data.ni_id,
                ni_url: data.ni_url,
            }
        }
    })
export const qzzx_detail = (data = {}) =>
    request({
        url: '/news/info/detail',
        data: {
            issubmit: '1',
            ni_id: data.ni_id,
        }
    })

export const qzzx_del = (data = {}) =>
    request({
        url: '/news/info/delete',
        data: {
            issubmit: '1',
            ni_id: data.ni_id,

        }
    })

export const xwlx_list = (data = {}) =>
    request({
        url: '/news/info_cate/api_tree',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            type: data.type



        }
    })

// 签到
export const stxkjs_qd = (data = {}) => {
    return request({
        url: '/khfw/kcbkb_qd/edit',
        data: {
            kkq_id: data.kkq_id,
            khfw_kcbkb_qd: data.khfw_kcbkb_qd
        },
    })
}
export const stxk_up = (data = {}) => {
    return REQUEST['upload']({
        url: 'upload/main/file',
        data: { filedata: data.file }
    })
}
